%define dist el6

%define python python
%{?with_python:%define python %{with_python}}

%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")
%define release 1.py%{pyver}

%define __os_install_post    \
    /usr/lib/rpm/redhat/brp-compress \
    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip} \
    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump} \
    /usr/lib/rpm/redhat/brp-java-repack-jars \
%{nil}

%define name python-web
%define unmangled_name web.py
%define version 0.36
%define unmangled_version 0.36

Summary: web.py: makes web apps
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: Public domain
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Anand Chitipothu <anandology@gmail.com>
Url:  http://webpy.org/

%description
Think about the ideal way to write a web app. Write the code to make it happen.

%prep
%setup -n %{unmangled_name}-%{unmangled_version}

%build
%{python} setup.py build

%install
%{python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
